#
# spec file for package mjpegtools (Version 1.8.0)
#
# Based on the SuSE-Spec File:
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
#

# norootforbuild

Name:           mjpegtools
Summary:        MJPEG Video Capture and Processing Tools
Summary(de):    MJPEG Video Capturing und Bearbeitungstools
License:        BSD License and BSD-like, GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://mjpeg.sourceforge.net/
Version:        1.9.0
Release:        40.17

Source0:        mjpegtools-1.9.0.tar.bz2

Patch0:         mjpegtools.patch
Patch1:         mjpegtools-cpuinfo.patch
##Patch2:         mjpegtools-libquicktime.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  aaa_base
BuildRequires:  SDL-devel
BuildRequires:  expat
BuildRequires:  freetype2
BuildRequires:  freetype2-devel
BuildRequires:  glib
BuildRequires:  glib-devel
BuildRequires:  gtk
BuildRequires:  gtk-devel
BuildRequires:  libdv
Requires:	libdv
BuildRequires:  libjpeg
BuildRequires:  libpng-devel
BuildRequires:  libquicktime
BuildRequires:  gcc-c++
BuildRequires:  gtk2
BuildRequires:  gtk2-devel
BuildRequires:  libdv-devel
BuildRequires:  libjpeg-devel
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
BuildRequires:  nasm
%endif
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files

%description
The mjpegtools allow for capture, playback, processing and simple editing of
MJPEG AV data. The hardware I/O applications are intended for use with Zoran
MJPEG framegrabber-based hardware (see package zoran-driver), but the processing
tools can be used with MJPEG data from other sources as well.


Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%package devel
Group:          Productivity/Multimedia/Video/Editors and Convertors
Summary:        MJPEG Video Capture and Processing Tools
Summary(de):    MJPEG Video Capturing und Bearbeitungstools
Requires:       mjpegtools = %{version}
Requires:       glibc-devel, libstdc++-devel, zlib-devel, libjpeg-devel
Requires:       libquicktime-devel, libdv-devel

%description devel
The mjpegtools allow for capture, playback, processing, and simple
editing of MJPEG AV data. The hardware I/O applications are intended
for use with Zoran MJPEG framegrabber-based hardware (see the
zoran-driver package), but the processing tools can be used with MJPEG
data from other sources as well.



Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%description devel -l de
Die mjpegtools sind fürs Aufnehmen, Abspielen und simples cut-and-paste Editieren
mit der MPEG Kompression (Audio und Video) unter linux. Transcode braucht diese
Tools um das mpeg2enc export Modul bauen zu können das für das herstellen von
SVCDS wichtig ist.


Autoren:
--------
    Gernot Ziegler <gz@lysator.liu.se>
    Rainer Johanni <rainer@johanni.de>
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
    Xavier Biquard
    Ronald Bultje

%prep
%setup -q
%patch
%patch1
##%if %suse_version > 1010
##%patch2
##%endif
# overwrite cpuinfo.sh, cpu optimization does not make sense
# when building for a distribution
echo "" > cpuinfo.sh

%build
%{?suse_update_config:%{suse_update_config -f}}
%ifarch %ix86
  export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%else
%ifarch  x86_64 amd64 ia32e
  export CFLAGS="$RPM_OPT_FLAGS -L/usr/lib64 -fPIC -fno-strict-aliasing"
%else
  export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%endif
%endif
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
autoreconf -vfi
./configure --prefix=%{_prefix}			\
	--libdir=%{_libdir}			\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
%ifarch ppc ppc64
	--disable-simd-accel			\
%endif
%ifarch %ix86
	--with-jpeg-mmx=`pwd`/jpeg-mmx-0.1.4	\
%endif
	--disable-cmov-extension		\
	--with-quicktime=%{_includedir}/quicktime	\
	--with-dv=%{_prefix}				\
	--disable-warnings_as_errors
%{__make}

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" && %{__rm} -rf "%{buildroot}"
%{makeinstall}
%{__install} -m 755 scripts/lav2mpeg %{buildroot}%{_bindir}
%{__rm} %{buildroot}/%{_infodir}/dir

%post
%install_info --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz
%run_ldconfig

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mjpeg-howto.info.gz
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING ChangeLog HINTS INSTALL NEWS README* TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%doc %{_mandir}/man1/*.1.gz
%doc %{_mandir}/man5/*.5.gz
%doc %{_infodir}/mjpeg-howto*

%files devel
%defattr(-,root,root)
%{_includedir}/mjpegtools
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/mjpegtools.pc

%changelog -n mjpegtools
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

